package com.boman.domain;

import com.boman.domain.BaseEntity;
import com.boman.domain.annotation.Excel;
import com.boman.domain.annotation.Excel.ColumnType;

import java.util.List;

/**
 * @author tjf
 * @Date: 2021/06/30/15:03
 */
public class BomanGroup extends BaseEntity {
    /** 参数主键 */
    @Excel(name = "参数主键", cellType = ColumnType.NUMERIC)
    private Long id;
    /**
     * 组名
     */
    private String groupName;
    /**
     * 状态
     */
    private String status;

    /**
     * 编号
     */
    private Integer number;

    /**
     * 是否删除
     */
    private String isDel;


    /**
     * 组和用户中间表对象(存着用户名字和id)
     */
    private List<BomanGroupUser> bomanGroupUserList;

    public List<BomanGroupUser> getBomanGroupUserList() {
        return bomanGroupUserList;
    }

    public void setBomanGroupUserList(List<BomanGroupUser> bomanGroupUserList) {
        this.bomanGroupUserList = bomanGroupUserList;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    @Override
    public String toString() {
        return "BomanGroup{" +
                "id=" + id +
                ", groupName='" + groupName + '\'' +
                ", status='" + status + '\'' +
                ", number=" + number +
                ", isDel='" + isDel + '\'' +
                ", bomanGroupUserList=" + bomanGroupUserList +
                '}';
    }
}
